### org.jfree.layouting.util

# Class AbstractObjectList

- `java.lang.Object`
- - `org.jfree.layouting.util.AbstractObjectList`

Implemented Interfaces:
  Cloneable, Serializable

Known Direct Subclasses:
  ObjectList

`public class AbstractObjectList`
`extends java.lang.Object`
`implements Cloneable, Serializable`

A list of objects that can grow as required.

Author:
  David Gilbert

  ## Field Summary

  `static int`

  `DEFAULT_INITIAL_CAPACITY`
    The default initial capacity of the list.

  ## Constructor Summary

  `AbstractObjectList()`
    Creates a new list with the default initial capacity.

  `AbstractObjectList(int initialCapacity)`
    Creates a new list.

  `AbstractObjectList(int initialCapacity, int increment)`
    Creates a new list.

  ## Method Summary

  `void`

  `clear()`
    Clears the list.

  `Object`

  `clone()`
    Clones the list of objects.

  `boolean`

  `equals(Object obj)`
    Tests this list for equality with another object.

  `protected Object`

  `get(int index)`
    Returns the object at the specified index, if there is one, or `null`.

  `int`

  `hashCode()`
    Returns a hash code value for the object.

  `protected int`

  `indexOf(Object object)`
    Returns the index of the specified object, or -1 if the object is not in the list.

  `protected void`

  `set(int index, Object object)`
    Sets an object reference (overwriting any existing object).

  `int`

  `size()`
    Returns the size of the list.

## Field Details

### DEFAULT_INITIAL_CAPACITY

    public static final int DEFAULT_INITIAL_CAPACITY

> The default initial capacity of the list.
> Field Value:
>   8

## Constructor Details

### AbstractObjectList

    protected AbstractObjectList()

> Creates a new list with the default initial capacity.

### AbstractObjectList

    protected AbstractObjectList(int initialCapacity)

> Creates a new list.
> Parameters:
>   `initialCapacity` - the initial capacity.

### AbstractObjectList

    protected AbstractObjectList(int initialCapacity,
                                 int increment)

> Creates a new list.
> Parameters:
>   `initialCapacity` - the initial capacity.
>   `increment` - the increment.

## Method Details

### clear

    public void clear()

> Clears the list.

### clone

    public Object clone()
                throws CloneNotSupportedException

> Clones the list of objects. The objects in the list are not cloned, so this is method makes a 'shallow' copy of the list.
> Returns:
>   A clone.

### equals

    public boolean equals(Object obj)

> Tests this list for equality with another object.
> Parameters:
>   `obj` - the object to test.
> Returns:
>   A boolean.

### get

    protected Object get(int index)

> Returns the object at the specified index, if there is one, or `null`.
> Parameters:
>   `index` - the object index.
> Returns:
>   The object or `null`.

### hashCode

    public int hashCode()

> Returns a hash code value for the object.
> Returns:
>   the hashcode

### indexOf

    protected int indexOf(Object object)

> Returns the index of the specified object, or -1 if the object is not in the list.
> Parameters:
>   `object` - the object.
> Returns:
>   The index or -1.

### set

    protected void set(int index,
                       Object object)

> Sets an object reference (overwriting any existing object).
> Parameters:
>   `index` - the object index.
>   `object` - the object (`null` permitted).

### size

    public int size()

> Returns the size of the list.
> Returns:
>   The size of the list.